org.eclipse.jgit.errors

## Class UnmergedPathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.UnmergedPathException

All Implemented Interfaces:
  Serializable

    public class UnmergedPathException
    extends IOException

Indicates one or more paths in a DirCache have non-zero stages present.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnmergedPathException(DirCacheEntry dce)` Create a new unmerged path exception.

### Method Summary

Methods
`DirCacheEntry` `getDirCacheEntry()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnmergedPathException

    public UnmergedPathException(DirCacheEntry dce)

Create a new unmerged path exception.

Parameters:
  `dce` - the first non-zero stage of the unmerged path.

### Method Detail

#### getDirCacheEntry

    public DirCacheEntry getDirCacheEntry()

Returns:
  the first non-zero stage of the unmerged path